ButeoPluginIface Class Reference
Inheritance diagram for ButeoPluginIface:

## Public Slots

QDBusPendingReply | abortSync (uchar aStatus)
QDBusPendingReply< bool > | cleanUp ()
QDBusPendingReply | connectivityStateChanged (int aType, bool aState)
QDBusPendingReply< QString > | getSyncResults ()
QDBusPendingReply< bool > | init ()
QDBusPendingReply | resume ()
QDBusPendingReply< bool > | startListen ()
QDBusPendingReply< bool > | startSync ()
QDBusPendingReply | stopListen ()
QDBusPendingReply | suspend ()
QDBusPendingReply< bool > | uninit ()

## Signals

void | accquiredStorage (const QString &aMimeType)
void | error (const QString &aProfileName, const QString &aMessage, int aErrorCode)
void | newSession (const QString &aDestination)
void | success (const QString &aProfileName, const QString &aMessage)
void | syncProgressDetail (const QString &aProfileName, int aProgressDetail)
void | transferProgress (const QString &aProfileName, Sync::TransferDatabase aDatabase, Sync::TransferType aType, const QString &aMimeType, int aCommittedItems)

## Public Member Functions

| ButeoPluginIface (const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent=0)

## Static Public Member Functions

static const char * | staticInterfaceName ()

The documentation for this class was generated from the following files:

- ButeoPluginIface.h
- ButeoPluginIface.cpp